Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server Class Reference

Inheritance diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server:

[legend]
Collaboration diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server (TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Private Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server (const TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server &)
void | operator= (const TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server &)
## Private Attributes
const char * | server_
const ImplementationRepository::StartupOptions & | options_

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server | ( | TAO_GIOP_Invocation * | _tao_invocation,
|  | CORBA::Object_ptr | _tao_target,
|  | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server | ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::arguments | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

Dynamic::ExceptionList * TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

void TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::operator= | ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server & |  | ) | `[private]`

CORBA::Any * TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::result | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

## Member Data Documentation

const ImplementationRepository::StartupOptions& TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::options_`[private]`

const char* TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server::server_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.cpp